# Latias::Influxdb

Ruby lib for use influxdb version 2 on Ruby language

## Usage

<!-- ```ruby
class MdbEnergyBucket < Latias::Influxdb::Bucket
  def initialize
    super
    @url = 'http://188.166.252.165:8086'
    @token = 'YyD4UGu4_Xn0CIVsycFdjaQVd7m1g5wRp0z2BCfBSyNL6-GHqqyZRePGy46B2m8Zg6jgqHAN_J6jyhCmvGeQRA=='
    @bucket = 'MDBEnergy'
    @org = 'MDBEnergy'
    @use_ssl = false
    client_connection
  end
end

mdb_energy_bucket = MdbEnergyBucket.new
mdb_energy_bucket.range('start: -1m').filter('fn: (r) => r["_measurement"] == "cpu"')
mdb_energy_bucket.call
``` -->

```ruby
class MdbEnergyBucket < Latias::Influxdb::Bucket
  def initialize
    super
    @url = 'http://localhost:8086'
    @token = 'your token'
    @bucket = 'MDBEnergy'
    @org = 'MDBEnergy'
    @use_ssl = false
    client_connection
  end
end

mdb_energy_bucket = MdbEnergyBucket.new
mdb_energy_bucket.range('start: -1m').filter('fn: (r) => r["_measurement"] == "cpu"')
mdb_energy_bucket.call
```

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'latias-influxdb'
```

And then execute:

```bash
$ bundle
```

Or install it yourself as:

```bash
$ gem install latias-influxdb
```

## Contributing

Contribution directions go here.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
